**Purpose**: Gitea is a painless self-hosted all-in-one software development service, it includes Git hosting, code review, team collaboration, package registry and CI/CD. It is similar to GitHub, Bitbucket and GitLab. Gitea was forked from Gogs originally and almost all the code has been changed.

```jsx title="docker-compose.yml"
version: "3"

services:
  server:
    image: gitea/gitea:latest
    container_name: gitea
    privileged: true
    environment:
      - USER_UID=1000
      - USER_GID=1000
      - TZ=America/Denver
    restart: always
    volumes:
      - /srv/containers/gitea:/data
#      - /etc/timezone:/etc/timezone:ro
#      - /etc/localtime:/etc/localtime:ro
    ports:
      - "3000:3000"
      - "222:22"
    networks:
        docker_network:
          ipv4_address: 192.168.5.70
#    labels:
#      - "traefik.enable=true"
#      - "traefik.http.routers.deeptree-gitea.rule=Host(`git.domain.xyz`)"
#      - "traefik.http.routers.deeptree-gitea.entrypoints=websecure"
#      - "traefik.http.routers.deeptree-gitea.tls.certresolver=myresolver"
#      - "traefik.http.services.deeptree-gitea.loadbalancer.server.port=3000"
    depends_on:
      - postgres

  postgres:
    image: postgres:12-alpine
    ports:
      - 5432:5432
    volumes:
      - /srv/containers/gitea/db:/var/lib/postgresql/data
    environment:
      - POSTGRES_DB=gitea
      - POSTGRES_USER=gitea
      - POSTGRES_PASSWORD=${POSTGRES_PASSWORD}
      - TZ=America/Denver
    restart: always
    networks:
        docker_network:
          ipv4_address: 192.168.5.71

networks:
  docker_network:
    external: true
```

```jsx title=".env"
POSTGRES_PASSWORD=SomethingSecure
```
